# Uses of Class
jspecview.exception.JSVException

Packages that use JSVException
Package
Description
jspecview.common
jspecview.source

## Uses of JSVException in jspecview.common

Methods in jspecview.common that throw JSVException
Modifier and Type
Method
Description
`static String`
JSVFileManager.`getFullPathName(String name)`
FileManager.classifyName follow this with .replace('\\','/') and Escape.escape() to match Jmol's file name in
`static InputStream`
JSVFileManager.`getInputStream(String name, boolean showMsg, byte[] postBytes)`
`static Object`
JSVFileManager.`getStreamAsBytes(BufferedInputStream bis, OC out)`
`static boolean`
JSVFileManager.`isZipFile(InputStream is)`

## Uses of JSVException in jspecview.source

Methods in jspecview.source that throw JSVException
Modifier and Type
Method
Description
`void`
JDXDataObject.`checkJDXRequiredTokens()`
for JDXReader only